/**
 * Notice modal.
 * @author     Nathan Nguyen <nathannguyen@catalyst-au.net>
 * @copyright  Catalyst IT
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
define("local_sitenotice/modal_notice",["jquery","core/notification","core/modal","core/modal_registry","core/key_codes","core/str"],(function($,Notification,Modal,ModalRegistry,KeyCodes,str){var registered=!1,SELECTORS_CLOSE_BUTTON='[data-action="close"]',SELECTORS_ACCEPT_BUTTON='[data-action="accept"]',SELECTORS_ACK_CHECKBOX="sitenotice-modal-ackcheckbox",SELECTORS_CAN_RECEIVE_FOCUS='input:not([type="hidden"]), a[href], button:not([disabled])',SELECTORS_TOOL_TIP_WRAPPER="#tooltip-wrapper",ATTRIBUTE_NOTICE_ID="data-noticeid",ModalNotice=function(root){Modal.call(this,root),this.getFooter().find(SELECTORS_CLOSE_BUTTON).length||Notification.exception({message:"No close button found"}),this.getFooter().find(SELECTORS_ACCEPT_BUTTON).length||Notification.exception({message:"No accept button found"})};return ModalNotice.TYPE="local_sitenotice",(ModalNotice.prototype=Object.create(Modal.prototype)).constructor=ModalNotice,registered||(ModalRegistry.register(ModalNotice.TYPE,ModalNotice,"local_sitenotice/modal_notice"),registered=!0),ModalNotice.prototype.getCloseButtonID=function(){return"#"+this.getFooter().find(SELECTORS_CLOSE_BUTTON).attr("id")},ModalNotice.prototype.getAcceptButtonID=function(){return"#"+this.getFooter().find(SELECTORS_ACCEPT_BUTTON).attr("id")},ModalNotice.prototype.getAckCheckboxID=function(){return"#"+SELECTORS_ACK_CHECKBOX},ModalNotice.prototype.setNoticeId=function(noticeid){this.getModal().attr(ATTRIBUTE_NOTICE_ID,noticeid)},ModalNotice.prototype.getNoticeId=function(){return this.getModal().attr(ATTRIBUTE_NOTICE_ID)},ModalNotice.prototype.setRequiredAcknowledgement=function(reqack){var modal=this;1==reqack?str.get_string("modal:checkboxtext","local_sitenotice").then((function(langString){var body=modal.getBody(),checkboxdiv=$("<div>",{}),ackcheckbox=$("<input>",{type:"checkbox",id:SELECTORS_ACK_CHECKBOX}),labelspan=$("<span>",{class:"checkboxlabel"});labelspan.append(langString),checkboxdiv.append(ackcheckbox),checkboxdiv.append(labelspan),body.append(checkboxdiv);var acceptbutton=modal.getFooter().find(SELECTORS_ACCEPT_BUTTON);acceptbutton.show(),acceptbutton.attr("disabled",!0),modal.getFooter().find(SELECTORS_TOOL_TIP_WRAPPER).tooltip()})).catch(Notification.exception):this.getFooter().find(SELECTORS_ACCEPT_BUTTON).css("display","none")},ModalNotice.prototype.turnoffToolTip=function(){this.getFooter().find(SELECTORS_TOOL_TIP_WRAPPER).tooltip("disable")},ModalNotice.prototype.turnonToolTip=function(){this.getFooter().find(SELECTORS_TOOL_TIP_WRAPPER).tooltip("enable")},ModalNotice.prototype.registerEventListeners=function(){$(document).on("keydown",function(e){this.isVisible()&&e.keyCode==KeyCodes.tab&&this.handleTabLock(e)}.bind(this)),$(document).on("mousedown",function(e){this.isVisible()&&e.preventDefault()}.bind(this))},ModalNotice.prototype.handleTabLock=function(e){var target=$(document.activeElement),focusableElements=this.modal.find(SELECTORS_CAN_RECEIVE_FOCUS).filter(":visible"),firstFocusable=focusableElements.first(),lastFocusable=focusableElements.last(),focusable=!1,previous=0;if(focusableElements.each((function(index){target.is(this)&&(focusable=!0,previous=index)})),0==focusable)return e.preventDefault(),void firstFocusable.focus();if(target.is(firstFocusable)&&e.shiftKey)lastFocusable.focus(),e.preventDefault();else if(target.is(lastFocusable)&&!e.shiftKey)firstFocusable.focus(),e.preventDefault();else{if(e.shiftKey)next=focusableElements.get(previous-1);else var next=focusableElements.get(previous+1);next.focus(),e.preventDefault()}},ModalNotice}));

//# sourceMappingURL=modal_notice.min.js.map